<?php
/**
* Exception thrown when an invalid callback function is encountered.  This commonly is when is_callable() fails.
* @ingroup FormErrors
* @author Scott Peshak
*/
class InvalidCallbackException extends Exception
{
	/**
	* Constructor.
	* @param $callback Name of the callback that was attempted.
	*/
	public function __construct($callback)
	{
		parent::__construct("Invalid callback function name '$callback'");
	}
}
?>
