<?php
/**
* Exception thrown when a field name is attempted to be accessed but does not exist. 
* @ingroup FormErrors
* @author Scott Peshak
*/
class InvalidFieldNameException extends Exception
{
	/**
	* Constructor.
	* Thin wrapper around Exception::__construct()
	*/
	public function __construct()
	{
		parent::__construct('Invalid field name.');
	}
}
?>
