<?php
/**
* Field that inserts a label (static text w/ title) into a form.
* @ingroup BasicFields
* @author Scott Peshak
* @date $Date: 2006-04-11 01:33:50 -0500 (Tue, 11 Apr 2006) $
*/
class LabelField extends AbstractField
{
	public $text = ''; ///< Text of the label

	/**
	 * Draw label
	 */
	public function drawInput()
	{
		echo $this->text;
	}

	/**
	 * Override getSqlImpl() to be a no-op
	 * @return \c null
	 */
	public function getSqlImpl()
	{
		return null; # No-Op
	}

	/**
	 * Override setDataFromRequest to be a no-op
	 * @return \c null
	 */
	public function setDataFromRequest()
	{
		return null;
	}
}
?>
