<?php
/**
* Dropdown selection field
* @ingroup ListFields
* @author Scott Peshak
* @date $Date: 2006-04-02 01:18:11 -0600 (Sun, 02 Apr 2006) $
*/
class SelectField extends AbstractListField
{
	/**
	 * Draw the field
	 */
	public function drawInput()
	{
		$attr = $this->extrasAsAttributes();
		
		echo "<select name=\"$this->name\" $attr>";
		
		foreach($this->options as $value => $title)
			echo "<option value=\"$value\"", $this->value == $value ? ' selected="selected"' : null,
				">$title</option>";

		echo "</select>";
	}
}
?>
