<?php
/**
* Simple text field
* @ingroup BasicFields
* @author Scott Peshak
* @date $Date: 2006-04-11 03:03:38 -0500 (Tue, 11 Apr 2006) $
*/
class TextField extends AbstractField
{
	public $width = '';

	/**
	 * Draw the field
	 */
	public function drawInput()
	{
		$attr = $this->extrasAsAttributes();

		if($this->hasError)
			$css = 'class="errorinput"';

		if ($this->width)
			$style = "style=\"width: $this->width;\"";
			
		echo "<input type=\"text\" name=\"$this->name\" value=\"$this->value\" $css $attr $style/>";
	}
}
?>
