<?php
/**
* Textarea Field for bulk text
* @ingroup BasicFields
* @author Scott Peshak
* @date $Date: 2006-04-09 22:42:27 -0500 (Sun, 09 Apr 2006) $
*/
class TextareaField extends AbstractField
{
	public $width = '';
	public $height = '';
	
	/**
	 * Draw the field
	 */
	function drawInput()
	{
		$attr = $this->extrasAsAttributes();

		if($this->hasError)
			$css = ' class="errorinput" ';
		
		if ($this->width || $this->height)
		{
			$style = 'style="';

			if ($this->width)
				$style .= " width: $this->width;";
			if ($this->height)
				$style .= " height: $this->height;";

			$style .= ' "';
		}

		echo "<textarea name=\"$this->name\" $css $style $attr>$this->value</textarea>";
	}
}
?>
