<?
/**
* @ingroup BJTemplate
* @brief JSON based template for easy AJAX sites.
*
* it will draw your site, but give you the data in json format which you can
* use to show it however you want with javascript.
*/
class JSONTemplate extends BaseTemplate
{
	/**
	 * This function draws the content area of the page.
	 */
	public function drawPage()
	{
		//draw our errors...
		if ($this->object->hasError())
			$this->drawError();
		//nope, what about status?.
		else if ($this->object->hasStatus())
			$this->drawStatus();
		//finally we get to content!
		else	
			$this->drawContent();
	}
	
	public function drawError()
	{
		echo JSON::encode(
			array(
				'error' => $this->object->getError()
			)
		);
	}

	public function drawStatus()
	{
		echo JSON::encode(
			array(
				'status' => $this->object->getStatus()
			)
		);
	}
}
?>
