<?
	//our query timer...
	$db_exec_time = 0;
	$db_query_data = array();
	$page_queries = 0;
	$sqlQueryCount = 0;

	function dbConnect($server, $username, $password, $new_link=NULL, $client_flags=NULL)
	{
		return mysql_connect($server, $username, $password, $new_link, $client_flags);
	}
	
	function dbEscape($string)
	{
		return mysql_real_escape_string($string);
	}

	function dbGetTypeValues($type)
	{
		if (!preg_match("/^(?:set|enum)\(('.*')\)\$/", $type, $matches))
			throw new Exception("dbGetTypeValues: invalid type '$type'");

		$values = $matches[1];
		if (!preg_match_all("/'((?:[^']|'')*)'/", $values, $matches))
			throw new Exception("dbGetTypeValues: invalid type value '$values'");

		$values = $matches[1];
		foreach ($values as $key => $value)
			$values[$key] = str_replace("''", "'", $value);

		return $values;
	}
	
	function dbExecute($sql, $id = false, $link = null)
	{
		global $sqlQueryCount;
		$sqlQueryCount++;

		if (Config::get('db_track'))
		{
			global $sqlQueryArray;
			$sqlQueryArray[] = $sql;
		}
		
		if (!mysql_query($sql))
			dbError();

		if ($id === -1)
			return mysql_affected_rows();
		if ($id)
			return mysql_insert_id();
	}

	function dbFetchDesc($result)
	{
		if ($row = dbFetchAssoc($result))
			return array(
				"name" => $row["Field"],
				"type" => $row["Type"],
				"null" => (bool)$row["Null"],
				"default" => $row["Default"],
				"comment" => $row["Comment"],
				"extra" => $row["Extra"],
				"key" => $row["Key"],
			);

		return false;
	}
	
	function dbIsResultSet($result)
	{
	        return is_resource($result) && get_resource_type($result) == "mysql result";
	}

	function dbHasError()
	{
		return (mysql_error() != '');
	}
	
	function dbError()
	{
		throw new DbException(mysql_error());
	}

	function dbInsertId()
	{
		return mysql_insert_id();
	}
	
	function dbNumRows($result)
	{
		return mysql_num_rows($result);
	}

	function dbGetNumRows($rs)
	{
		return dbNumRows($rs);
	}

	function dbSelect($db)
	{
		return mysql_select_db($db);
	}

	function dbQuery( $query, $conn=NULL )
	{ 
		global $link;
		
		global $sqlQueryCount;
		$sqlQueryCount++;

		if (Config::get('db_track'))
		{
			global $sqlQueryArray;
			$sqlQueryArray[] = $query;
		}
		
		//what database??
		if($conn == NULL)
			$conn = $link;
		
		//do the actual query...
		$result = mysql_query($query, $conn);

		if (dbHasError())
			dbError();

		return $result;
	}
	
	function dbTryResult($result)
	{
		switch (mysql_num_rows($result))
		{
			case 0:
				return null;

			case 1:
				return mysql_result($result, 0);

			default:
				throw new Exception("dbResult: " . mysql_num_rows($result) . " results found");
		}
	}

	function dbTryFetchAssoc($result)
	{
		return mysql_fetch_assoc($result);
	}
	
	function dbFetchAssoc( $result )
	{
		if (dbHasError())
			dbError();

		return mysql_fetch_assoc($result);
	}

	function dbFetchArray( $result )
	{ 
		if (dbHasError())
			dbError();

		return mysql_fetch_array($result);
	}

	if (Config::get('db_host'))
	{
		global $link;
	
		$count = 0;
		while (!$link && $count <= 5)
		{
			if (!$link = @dbConnect(Config::get('db_host'), Config::get('db_user'), Config::get('db_pass')));
			{
				sleep($count);
				$count++;
			}
		}

		if ($link)
		{
			$connected_to_db = 1;
			
			//switch to our database...    
			$db = dbSelect(Config::get('db_name'));
		}
		//let them know!
		else
			throw new DbError("I'm sorry, I couldn't connect to the database.  Please try again later.");
	}
?>
