<?php
/**
* Exception thrown when an invalid query is attempted to be set in a db field
* @ingroup FormErrors
* @author Scott Peshak
*/
class InvalidQueryException extends Exception
{
	/**
	 * Constructor.
	 * Thin wrapper around Exception::__construct()
	 * @param $message Reason why the query is invalid 
	 */
	public function __construct($message)
	{
		parent::__construct("Invalid Query: $message");
	}
}
?>
