<?php
/**
* Exception thrown when a Form object needs to do some DB operation and no DB
* object has been set
* @ingroup FormErrors
* @author Scott Peshak
*/
class NoDbConnectionException extends Exception
{
	/**
	 * Constructor
	 */
	public function __construct()
	{
		parent::__construct("No DB object has been associated with Form object");
	}
}
?>
