<?php
/**
* Set of radio buttons
* @ingroup ListFields
* @author Scott Peshak
* @date $Date: 2006-04-11 01:46:40 -0500 (Tue, 11 Apr 2006) $
*/
class RadioListField extends AbstractListField
{
	/**
	 * Draw the field
	 */
	function drawInput()
	{
		foreach($this->options as $value => $title)
		{
			$id = uniqid($this->name);
			echo "<input type=\"radio\" name=\"$this->name\" value=\"$value\" id=\"$id\"", $this->value == $value ? ' checked="checked"/>' : '/>';
			echo " <label for=\"$id\">$title</label><br/>";
		}
	}

}

?>
