<?
/**
* @ingroup ObjectManagers
* @brief Get a users alerts
*
* Built-in privacy for only selecting the current users alerts.
*/
class BaseAlerts extends MyManager
{
	/**
	* @see ObjectManager::__construct()
	*/
	public function __construct($class = 'Alert')
	{ 
		parent::__construct($class);
	}
	
	/**
	* get our search where, add user privacy where
	*/
	public function getSearchWhere($params)
	{ 
		global $me;
		
		$sql = parent::getSearchWhere($params);
		$sql .= " AND user_id = '$me->id' ";

		return $sql;
	}

	/**
	* prep search page, assert login
	*/
	public function initSearchPage()
	{  
		$this->assertLogin();

		parent::initSearchPage();
	}
}
?>
