<?
/**
* @ingroup BJTemplate
* @brief A HTML oriented template.
*
* Extend this for your html based site.  Implement header/footer and you're
* good to go.  It provides errors and status wrapped in classes.
*/
abstract class HTMLTemplate extends BaseTemplate
{ 
	/**
	* wraps status messages in a div with id 'status-$key' and class of 'BaseStatus'
	*/
	public function drawStatus()
  	{
		//draw our status!
		$status = $this->object->getStatus();
		if (count($status))
		{
			foreach ($status AS $key => $msg)
				echo "<div id=\"status-$key\" class=\"BaseStatus\">$msg</div>\n";
		}
	}
		
	/**
	* wraps error a div of class 'BaseError'
	*/
	public function drawError()
	{
		//draw our error!
		$error = $this->object->getError();
		echo "<div class=\"BaseError\">$error</div>\n";
	}
}
?>
