<?
	//uncomment this once you have installed BaseJumper!
	//Config::set("basejumper_installed", true);

	//uncomment these things to track db or cache usage
	//Config::set('db_track', true);
	//Config::set('bj_track_cache', true);

	//connection variables for our database
	Config::set("db_host", "");
	Config::set("db_name", "");
	Config::set("db_user", "");
	Config::set("db_pass", "");

	//you should define this to something secret to add more security to your user authentication.
	Config::set("auth_secret", "SECRET SALT");
	
	//these paths are for image uploads.  the first one stores resized images,
	//the second one stores all the originals for backups, etc. the 3rd one is
	//the path to the data dir from the web.
	Config::set("img_data_dir", "/path/to/gallery");
	Config::set("img_orig_dir", "/path/to/originals");
	Config::set("img_dir", "/webpath/");

	//some basic defines that are used in a variety of places.
	Config::set("site_hostname", 'dev.ubersonic.org');
	Config::set("site_webpath", '/');
	Config::set("site_baseurl", Config::get('site_webpath') . "index.php");
	Config::set("site_name", "Ubersonic DEV");
	
	//this is for the TOS, Copyright pages, etc.
	Config::set("site_owner", "Ubersonic");
	Config::set("site_jurisdiction", "Johnson County, Iowa");
	Config::set("site_admin", "hoeken@ubersonic.org");
	Config::set("copyright_agent", "copyright@ubersonic.org");
	Config::set("minimum_age", 14);

	//some configuration stuff for FCKeditor
	//this is if you have a custom FCK editor setup
	//Config::set("fck_config", "/js/fck.js");
	Config::set("fck_basepath", Config::get('site_webpath') . "lib/FCKeditor/");
	
	//default mailer stuff
	//you can define where your emails get sent from!
	Config::set("mailer_from", "do-not-reply@example.com");
	Config::set("mailer_from_sender", Config::get('site_name'));
	Config::set("mailer_from_host", "example.com");

	//ip address to accept cron requests from
	Config::set("cron_request_ip", "");
	
	//various keys for all the different API places
	Config::set("yahoo_application_id", "");
	Config::set("google_map_api_key", "");
	Config::set("amazon_aws_key", "");

	//this is to enable nice paths like /module/page/param/value
	Config::set("use_mod_rewrite", true);
	
	//do we require users to activate?  i'll try and move this one to BaseUser instead.
	Config::set("users_must_activate", true);

	//this is the web path to the directory that holds the ThinImage.jar file.  See http://upload.thinfile.com/image/
	Config::set("thin_image_path", "/static/");

	//cache to various caching services
	//CacheBot::setBot(new EasyMemCache("localhost:112212"));
	CacheBot::setBot(new EasyFileCache("/tmp/BaseJumper/"));
?>
